com.opensymphony.xwork2

## Class XWorkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.opensymphony.xwork2.XWorkException

- All Implemented Interfaces:
    Locatable, Serializable
  Direct Known Subclasses:
    ConfigurationException, ReferenceResolverException, ReflectionException, StrutsException, TypeConversionException

      public class XWorkException
      extends RuntimeException
      implements Locatable

  A generic runtime exception that optionally contains Location information
  Author:
    Jason Carreira
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkException()` Constructs a `XWorkException` with no detail message.
    `XWorkException(String s)` Constructs a `XWorkException` with the specified detail message.
    `XWorkException(String s, Object target)` Constructs a `XWorkException` with the specified detail message and target.
    `XWorkException(String s, Throwable cause)` Constructs a `XWorkException` with the specified detail message and exception cause.
    `XWorkException(String s, Throwable cause, Object target)` Constructs a `XWorkException` with the specified detail message, cause, and target
    `XWorkException(Throwable cause)` Constructs a `XWorkException` with the root cause
    `XWorkException(Throwable cause, Object target)` Constructs a `XWorkException` with the root cause and target

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Location` | `getLocation()` Gets the location of the error, if available
    `String` | `toString()` Returns a short description of this throwable object, including the location.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XWorkException

          public XWorkException()

      Constructs a `XWorkException` with no detail message.

    - #### XWorkException

          public XWorkException(String s)

      Constructs a `XWorkException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### XWorkException

          public XWorkException(String s,
                                Object target)

      Constructs a `XWorkException` with the specified detail message and target.
      Parameters:
        `s` - the detail message.
        `target` - the target of the exception.

    - #### XWorkException

          public XWorkException(Throwable cause)

      Constructs a `XWorkException` with the root cause
      Parameters:
        `cause` - The wrapped exception

    - #### XWorkException

          public XWorkException(Throwable cause,
                                Object target)

      Constructs a `XWorkException` with the root cause and target
      Parameters:
        `cause` - The wrapped exception
        `target` - The target of the exception

    - #### XWorkException

          public XWorkException(String s,
                                Throwable cause)

      Constructs a `XWorkException` with the specified detail message and exception cause.
      Parameters:
        `s` - the detail message.
        `cause` - the wrapped exception

    - #### XWorkException

          public XWorkException(String s,
                                Throwable cause,
                                Object target)

      Constructs a `XWorkException` with the specified detail message, cause, and target
      Parameters:
        `s` - the detail message.
        `cause` - The wrapped exception
        `target` - The target of the exception

  - ### Method Detail

    - #### getLocation

          public Location getLocation()

      Gets the location of the error, if available
      Specified by:
        `getLocation` in interface `Locatable`
      Returns:
        the location, `null` if not available

    - #### toString

          public String toString()

      Returns a short description of this throwable object, including the location. If no detailed message is available, it will use the message of the underlying exception if available.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        a string representation of this `Throwable`.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.